
/*
Parameter which stored a long css setting string for cvom's chart's internal use.
*/

@sapVizChartBackgroundColor: @sapUiBaseBG;

@sapVizChartTooltipBackgroundColor: @sapVizChartBackgroundColor;

@sapVizChartBackgroundStroke: #d8d8d8;

@sapVizChartPieSectorStroke: @sapVizChartBackgroundColor;

@sapVizChartHoverColor: #CCCCCC;

@sapVizChartHoverline: @sapVizChartHoverColor;

@sapVizChartHoverShadow: @sapVizChartHoverColor;

@sapVizChartHoverShadowMouseDown: #808080;

@sapVizChartInnerWhisker: #000000;

@sapVizChartTitleColor: @sapUiBaseText;

@sapVizChartLabelColor: @sapUiBaseText;

@sapVizChartAxisColor: @sapUiText;

@sapVizChartAxisGridlineColor: @sapVizChartBackgroundStroke;

@sapVizChartTooltipBorderStroke: @sapVizChartBackgroundStroke;

@sapVizChartHiddenTitleColor: #a6a6a6;

@sapUiChartPopoverGroupFontColor : #000000;

@sapUiChartPopoverDataItemFontSize : 0.875rem;

@sapUiChartPopoverGroupFontSize : 0.875rem;

@sapUiChartPopoverGroupFontWeight : bold;

.sapVizChartTitleSettings () {
	fill:@sapVizChartTitleColor;
	font-family:@sapUiFontFamily;
}

.sapVizChartLabelSettings () {
	fill:@sapVizChartLabelColor;
	font-family:@sapUiFontFamily;
}

.sapVizChartHiddenTitleSettings(){
  fill : @sapVizChartHiddenTitleColor;
}

.sapVizChart .v-m-title .v-title{
	.sapVizChartTitleSettings
}

.sapVizChart .v-subtitle{
	.sapVizChartTitleSettings
}

.sapVizChart .v-title{
	.sapVizChartTitleSettings
}

.sapVizChart .v-hidden-title{
	.sapVizChartHiddenTitleSettings
}

.sapVizChart .v-pie .v-donut-title{
	.sapVizChartTitleSettings
}

.sapVizChart .v-m-tooltip .v-body-title{
	.sapVizChartTitleSettings
}

.sapVizChart .v-label{
	.sapVizChartLabelSettings
}

.sapVizChart .viz-polar-axis-label{
	.sapVizChartLabelSettings
}

.sapVizChart .v-datalabel{
	.sapVizChartLabelSettings
}

.sapVizChart .v-m-tooltip .v-body-label{
	.sapVizChartLabelSettings
}

.sapVizChart .v-m-tooltip .v-body-value{
	.sapVizChartLabelSettings
}

.sapVizChart .v-m-tooltip .v-footer-label{
	.sapVizChartLabelSettings
}

.sapVizChart .v-m-tooltip .v-footer-value{
	.sapVizChartLabelSettings
}

.sapVizChart .v-m-tooltip .v-separationline{
	stroke: @sapVizChartTooltipBorderStroke;
}

.sapVizChart .v-background-body{
	fill:@sapVizChartBackgroundColor;
}

.sapVizChart .v-background-border{
	stroke : @sapVizChartBackgroundStroke;
}

.sapVizChart .v-hoverline{
	stroke:@sapVizChartHoverline;
}

.sapVizChart .v-hovershadow{
	fill:@sapVizChartHoverShadow;
}

.sapVizChart .v-hovershadow-mousedown{
	fill:@sapVizChartHoverShadowMouseDown;
}

.sapVizChart .v-m-tooltip .v-background{
	fill:@sapVizChartTooltipBackgroundColor;
	stroke:@sapVizChartTooltipBorderStroke;
}

.sapVizChart .v-m-tooltip .v-closeButton{
  background-color:@sapVizChartTooltipBackgroundColor  !important;
  border-color:@sapVizChartTooltipBorderStroke  !important;
}

.sapVizChart .v-background{
	border-color : @sapVizChartTooltipBorderStroke!important;
}

.sapVizChart .v-innerwhisker{
	stroke:@sapVizChartInnerWhisker;
}

.sapVizChart .v-categoryaxisline{
	stroke:@sapVizChartAxisColor;
}

.sapVizChart .v-valueaxisline{
	stroke: @sapVizChartAxisColor;
}

.sapVizChart .v-gridline{
	stroke: @sapVizChartAxisGridlineColor;
}

.sapVizChart .sapVizChart {
	position: relative;
}

.sapVizChart .sapVizChart.sapVizNoData {
	/*background-color: @sapUiLightBG;*/
	border: 1px solid @sapUiExtraLightBorder;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
}

.sapVizChart .sapVizChart.sapVizNoData > .sapVizNoDataDefault {
	position: absolute;
	display: block;
	bottom: 50%;
	left: 0;
	right: 0;
	text-align: center;
	white-space: nowrap;
}

/*Below classes are moved from popover.css for theme designer*/
.viz-controls-chartPopover .viz-controls-chartPopover-dimension-label{
  font-weight: @sapUiChartPopoverGroupFontWeight;
  color: @sapUiChartPopoverGroupFontColor;
  font-size: @sapUiChartPopoverGroupFontSize;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapMLabel{
  font-size: @sapUiChartPopoverDataItemFontSize;
  color: @sapUiChartPopoverDataItemFontColor;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapMText{
  font-size: @sapUiChartPopoverDataItemFontSize;
  color: @sapUiChartPopoverDataItemFontColor;
}

.viz-controls-chartPopover .viz-controls-chartPopover-subActionItemsPage{
  background-color: @sapUiGroupContentBackground;
}

.viz-controls-chartPopover .viz-controls-chartPopover-vizSelectedBar{
  background-color: transparent;
}

.viz-controls-chartPopover .viz-controls-chartPopover-vizSelectedBar .sapMLabel{
  color: @sapUiChartPopoverDataItemFontColor;
}

.viz-controls-chartPopover{
  height: auto;
  font-size: 0.875rem;
}

.viz-controls-chartPopover .sapUiIcon{
  border : none;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel{
  padding: 0.875rem 0.688rem 0.45rem 0.688rem;
  border-bottom: none;
}

.viz-controls-chartPopover .viz-controls-chartPopover-dimension-marker{
  line-height: 1.2rem;
  float: left;
}

.viz-controls-chartPopover .viz-controls-chartPopover-dimension-label{
  line-height: 1.2rem;
  padding-bottom: 0.225rem;
  padding-left: 0.688rem;
}

.viz-controls-chartPopover .viz-controls-chartPopover-vizSelectedBar{
  margin: 0 0.688rem;
  width: 92%;
  box-shadow: none;
}

.viz-controls-chartPopover .viz-controls-chartPopover-vizSelectedBarBorder{
  border-top: 1px rgba(153,153,153,0.6) solid;
}

.viz-controls-chartPopover .viz-controls-chartPopover-actionList li:first-child{
  border-top: 1px rgb(229, 229, 229) solid;
}

.viz-controls-chartPopover .viz-controls-chartPopover-actionList div{
  font-size: 0.875rem;
}

.viz-controls-chartPopover .viz-controls-chartPopover-actionList.hideActionList{
  visibility: hidden;
}

.viz-controls-chartPopover .viz-controls-chartPopover-subActionItemsPage{
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 100;
  left: 0px;
}

.viz-controls-chartPopover .viz-controls-chartPopover-subActionItemsPage div{
  font-size: 0.875rem;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapUiFormResGrid>div{
  padding: 0;
  background-color: inherit;
}

.viz-controls-chartPopover .sapUiRespGrid.sapUiRespGridHSpace1{
  padding: 0 0 0 0.5rem;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapUiRespGridSpanL12 {
  margin: 0;
}
.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapUiRespGridSpanM12 {
  margin: 0;
}
.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .sapUiRespGridSpanS12{
  margin: 0;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .viz-controls-chartPopover-Vlt .sapUiSimpleForm .viz-controls-chartPopover-measure-name{
  text-align: left !important;
}

html[data-sap-ui-browser^=ie] .viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .viz-controls-chartPopover-Vlt .sapUiSimpleForm .viz-controls-chartPopover-measure-name{
  text-align: left !important;
}

.viz-controls-chartPopover .viz-controls-chartPopover-contentPanel .viz-controls-chartPopover-measure-labels.sapMLabel:after{
  content: '';
}

.viz-controls-chartPopover .sapUiRespGridMedia-Std-Tablet.sapUiRespGridHSpace1>.sapUiRespGridSpanM12:not(:first-child){
  width: 100%;
}

.viz-controls-chartPopover .sapUiSimpleForm{
  padding-left: 0.625rem;
}

.viz-controls-chartPopover .viz-controls-chartPopover-measure-labels{
  line-height: 1rem;
  padding: 0.2rem 0;
}

.viz-controls-chartPopover .viz-controls-chartPopover-measure-labels-wrapper-name{
  padding-bottom: 0;
}
.viz-controls-chartPopover .viz-controls-chartPopover-measure-labels-wrapper-value{
  padding-top: 0;
}

.viz-controls-chartPopover .viz-controls-chartPopover-timeDayValue{
  margin-top: -0.3rem;
}
.viz-controls-chartPopover .viz-controls-chartPopover-timeDayDimValue{
  margin-top: -0.2rem;
}

html[dir=rtl] .viz-controls-chartPopover .viz-controls-chartPopover-measure-value{
  text-align: right !important;
}

.ui5-viz-controls-viz-description-title {
  font-size: @sapUiChartMainTitleFontSize;
  font-weight: @sapUiChartTitleFontWeight;
  color: @sapUiChartLightText;
}

.ui5-viz-controls-viz-description-detail {
  font-size: @sapUiChartAxisTitleFontSize;
  color: @sapUiChartLightText;
}

.ui5-viz-controls-viz-description {
    position : absolute;
    top : 50%;
    left : 50%;
    transform : translate(-50%, -50%);
    -ms-transform : translate(-50%, -50%);     /* IE 9 */
    -moz-transform : translate(-50%, -50%);    /* Firefox */
    -webkit-transform : translate(-50%, -50%); /* Safari and Chrome */
    -o-transform : translate(-50%, -50%);  /* Opera */
    text-align : center;
    word-wrap : break-word;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel {
    background: @sapUiGroupContentBackground;
    padding: 0.7rem;
    box-shadow: @sapUiShadowLevel1;
    border-radius: 0.188rem;
}

.viz-controls-chartTooltip .sapUI5TooltipRowSpacing {
    margin-top: 0.25rem;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-label {
    margin-right: 0.25rem;
    color: @sapUiChartLightText;
    font-size: @sapUiChartLegendLabelFontSize;
    overflow: visible;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-separator {
    color: @sapUiChartLightText;
    font-size: @sapUiChartLegendLabelFontSize;
    overflow: visible;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-dimension-value {
    margin-left: 0.25rem;
    color: @sapUiChartPopoverGroupFontColor;
    font-weight: @sapUiChartPopoverGroupFontWeight;
    font-size: @sapUiChartLegendLabelFontSize;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-measure-value {
    margin-left: 0.25rem;
    color: @sapUiChartPopoverGroupFontColor;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-measure-value .sapMObjectNumberText {
    font-size: @sapUiChartLegendLabelFontSize;
    font-weight: @sapUiChartPopoverGroupFontWeight;
    vertical-align: baseline;
    overflow: visible;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .viz-controls-chartTooltip-measure-value .sapMObjectNumberUnit {
    vertical-align: baseline;
    padding-top: 0px;
    font-size: 0.688rem;
    font-weight: @sapUiChartLabelFontWeight;
    overflow: visible;
}

.viz-controls-chartTooltip .viz-controls-chartTooltip-contentPanel .sapUiVltCell.sapuiVltCell {
    font-size: @sapUiChartLegendLabelFontSize;
}